Wallet restore (SMS OTP)
POST
/v1/wallet/restore
const url = 'https://api.parasta.io/v1/wallet/restore';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"otpId":"example","smsOtpCode":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/wallet/restore \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "otpId": "example", "smsOtpCode": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
otpId
required
string
smsOtpCode
required
string
Example generated
{ "otpId": "example", "smsOtpCode": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
backupId
string
backupAt
string format: date-time
backupData
object
encryptedMnemonic
string
encryptedDerivationPaths
string
encryptedVCs
string
encryptionMethod
string
Example generated
{ "backupId": "example", "backupAt": "2026-04-15T12:00:00Z", "backupData": { "encryptedMnemonic": "example", "encryptedDerivationPaths": "example", "encryptedVCs": "example", "encryptionMethod": "example" }}